@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  simple-jdbc-server startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and SIMPLE_JDBC_SERVER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\simple-jdbc-server-0.0.6.jar;%APP_HOME%\lib\simple-jdbc-api-undertow-0.0.6.jar;%APP_HOME%\lib\simple-jdbc-api-objects-0.0.6.jar;%APP_HOME%\lib\conjure-java-undertow-runtime-6.12.0.jar;%APP_HOME%\lib\conjure-undertow-lib-6.12.0.jar;%APP_HOME%\lib\conjure-java-jackson-serialization-7.22.0.jar;%APP_HOME%\lib\conjure-java-jackson-optimizations-7.22.0.jar;%APP_HOME%\lib\conjure-lib-6.12.0.jar;%APP_HOME%\lib\slf4j-simple-1.7.32.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.5.31.jar;%APP_HOME%\lib\avro-1.11.0.jar;%APP_HOME%\lib\jackson-datatype-joda-2.13.1.jar;%APP_HOME%\lib\jackson-dataformat-smile-2.13.1.jar;%APP_HOME%\lib\jackson-datatype-guava-2.13.1.jar;%APP_HOME%\lib\jackson-datatype-jdk8-2.13.1.jar;%APP_HOME%\lib\jackson-datatype-jsr310-2.13.1.jar;%APP_HOME%\lib\jackson-dataformat-cbor-2.13.1.jar;%APP_HOME%\lib\auth-tokens-3.10.0.jar;%APP_HOME%\lib\errors-2.22.0.jar;%APP_HOME%\lib\jackson-module-afterburner-2.13.1.jar;%APP_HOME%\lib\jackson-databind-2.13.1.jar;%APP_HOME%\lib\jackson-core-2.13.1.jar;%APP_HOME%\lib\resource-identifier-2.1.0.jar;%APP_HOME%\lib\jackson-annotations-2.13.1.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.13.1.jar;%APP_HOME%\lib\tracing-6.7.0.jar;%APP_HOME%\lib\tracing-api-6.7.0.jar;%APP_HOME%\lib\tracing-undertow-6.7.0.jar;%APP_HOME%\lib\logger-1.20.0.jar;%APP_HOME%\lib\logger-slf4j-1.20.0.jar;%APP_HOME%\lib\slf4j-api-1.7.32.jar;%APP_HOME%\lib\kotlin-logging-1.12.5.jar;%APP_HOME%\lib\commons-csv-1.9.0.jar;%APP_HOME%\lib\snappy-java-1.1.8.4.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.5.31.jar;%APP_HOME%\lib\kotlin-stdlib-1.5.31.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.5.31.jar;%APP_HOME%\lib\guava-31.0.1-jre.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\preconditions-1.20.0.jar;%APP_HOME%\lib\logger-spi-1.20.0.jar;%APP_HOME%\lib\error_prone_annotations-2.10.0.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\safe-logging-1.20.0.jar;%APP_HOME%\lib\undertow-core-2.2.14.Final.jar;%APP_HOME%\lib\jakarta.annotation-api-1.3.5.jar;%APP_HOME%\lib\jakarta.ws.rs-api-2.1.6.jar;%APP_HOME%\lib\joda-time-2.10.13.jar;%APP_HOME%\lib\commons-compress-1.21.jar;%APP_HOME%\lib\checker-qual-3.19.0.jar;%APP_HOME%\lib\xnio-nio-3.8.4.Final.jar;%APP_HOME%\lib\xnio-api-3.8.4.Final.jar;%APP_HOME%\lib\wildfly-client-config-1.0.1.Final.jar;%APP_HOME%\lib\jboss-threads-3.1.0.Final.jar;%APP_HOME%\lib\jboss-logging-3.4.1.Final.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\wildfly-common-1.5.2.Final.jar;%APP_HOME%\lib\snakeyaml-1.28.jar


@rem Execute simple-jdbc-server
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %SIMPLE_JDBC_SERVER_OPTS%  -classpath "%CLASSPATH%" org.askchapter.simplejdbc.SimpleJdbcApplicationKt %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable SIMPLE_JDBC_SERVER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%SIMPLE_JDBC_SERVER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
